<template>
  <img v-if="url && custom" class="logo" v-lazy="lazyImg.imgObj"/>
  <img v-else src="../assets/icons/bee-blanco.svg" alt />
</template>

<script lang="ts">
import { Component, Prop, Vue } from "vue-property-decorator";
@Component
export default class VariableLogo extends Vue {
  @Prop({ default: false }) readonly custom!: boolean;
  url = this.$store.state.customLogoURL;

  lazyImg = {
    imgObj: {
      src: this.url,
      error: 'https://firebasestorage.googleapis.com/v0/b/menu-digital-desarrollo.appspot.com/o/icons%2Fbee-blanco.svg?alt=media&token=4d68d38c-a4ec-4ae2-b6e1-4d58643be544',
      loading: 'https://firebasestorage.googleapis.com/v0/b/menu-digital-desarrollo.appspot.com/o/icons%2Floader-bee.gif?alt=media&token=b5374c8d-da65-4a89-a448-16aa2c837bf0'
    },
  }

  created() {
    this.url = this.$store.state.customLogoURL;
  }
}
</script>

<style>
</style>
